### Function Macro

# Camel pointer_tracker_track

since: 3.6

#### Declaration [src]

    #define camel_pointer_tracker_track (
      ptr
    )

#### Description [src]

Adds pointer ‘ptr’ to pointer tracker. Usual use case is to add object to the tracker in GObject::init and remove it from tracker within GObject::finalize. Since the tracker’s functions are called, the application prints summary of the pointers on console on exit. If everything gone right then it prints message about all tracked pointers were removed. Otherwise it prints summary of left pointers in the tracker. Added pointer should be removed with pair function camel_pointer_tracker_untrack().

See camel_pointer_tracker_dump(), camel_pointer_tracker_track_with_info().

Available since: 3.6

This function is not directly available to language bindings.

#### Parameters

`ptr`

  Type: `-`

  Pointer to add to pointer tracker.